Bug 40147 - Connecting network to pcmcia card freezes computer
Summary: Connecting network to pcmcia card freezes computer
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-10 22:30 UTC by Dwight Durmon
Modified: 2015-01-04 22:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 08:05:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dwight Durmon 2001-05-10 22:30:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90)

Description of problem:
When using a "Linksys EtherFast 10/100 + 56K Modem PC Card" (Model: 
PCMLM56), and version 3.1.24 release 2 of the kernel-pcmcia-cs, the card 
is recognized, but the PC will totally freeze up when you connect a 
network cable.

How reproducible:
Always

Steps to Reproduce:
1. Boot 7.1 with PCMCIA card removed.
2. Insert PCMCIA card and wait for Redhat to recognize it.
3. Insert network cable into card and watch PC freeze.
(NOTE: It doesn't matter if you use DHCP or a hard bound IP address, 
results are the same.)

Actual Results:  PC is totally locked up.  The only way to recover is to 
remove the power cord and battery (It's on a Compaq Armada 7400 Laptop).

Expected Results:  Should have been able to talk to the network.

Additional info:

Comment 1 Need Real Name 2001-07-10 07:32:01 UTC
I'm not alone!!

Thank god. I'd not worked it out exactly until I found this bug, but like the
guy says as soon as a network connection is made via the pcmcia card the machine
locks up completely.

My card in question is a 3Com 10/100 3CCFE574BT. I'm going to try and burn the
recent updates onto a cd and install the new kernel to see if that improves the
situation.

Comment 2 Need Real Name 2001-07-10 15:46:04 UTC
I can also reproduce the error.

Laptop Armada 7400, netcard: Edimax Ne2000 type.

I can avoid it crashing by doing an 'ifdown eth0' before connecting the net
connection to the netcard, however, it will crash the moment 'ifup eth0' is run.

It worked perfectly under 2.2.17 kernels. Btw. it seems to work fine under 
Suse 7.1






Note You need to log in before you can comment on or make changes to this bug.